> ## Documentation Index
> Fetch the complete documentation index at: https://docs.justanotheruptime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all regions



## OpenAPI

````yaml /openapi.json get /regions
openapi: 3.0.0
info:
  title: Uptime Monitor API
  description: >-
    API documentation for the Uptime Monitor application. This API allows users
    to create and manage website monitors, perform checks, and view statistics.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.justanotheruptime.com
security: []
tags:
  - name: auth
    description: Authentication endpoints
  - name: projects
    description: Project management endpoints
  - name: monitors
    description: Monitor management endpoints
  - name: checks
    description: Check-related endpoints
  - name: statistics
    description: Monitor statistics endpoints
paths:
  /regions:
    get:
      tags:
        - Regions
      summary: Get all regions
      operationId: RegionController_findAll
      parameters:
        - name: available
          required: false
          in: query
          description: Filter by availability
          schema:
            type: boolean
        - name: showRegion
          required: false
          in: query
          description: Filter by visibility
          schema:
            type: boolean
      responses:
        '200':
          description: Return all regions.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Region'
      security:
        - bearer: []
components:
  schemas:
    Region:
      type: object
      properties: {}
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````